Get Users in Chat

Lists all users in a chat.

Path Parameters
  • chatId
    Type: stringFormat: uuid
    required
Headers
  • Authorization
    Type: string
    required

    JWT Bearer token. Format: Bearer <JWT>

Responses
  • application/json
  • 400

    User not in chat or chat doesn't exist.

  • application/json
Request Example for get/api/chat/getUsers/{chatId}
curl https://demo.api.whispchat.com/api/chat/getUsers/123e4567-e89b-12d3-a456-426614174000 \
  --header 'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9...' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "users": [
    {
      "userId": "123e4567-e89b-12d3-a456-426614174000",
      "username": "string",
      "joinedChatAt": "2026-05-29T11:57:30.596Z",
      "lastSeenMessage": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}